%define pkgname ldap
Summary:	LDAP API (RFC1823) library module for Ruby
Summary(pl.UTF-8):	Moduł języka Ruby dostępu do bibliotek API LDAP (RFC1823)
Name:		ruby-%{pkgname}
Version:	0.9.16
Release:	2
License:	Redistributable
Group:		Development/Libraries
Source0:	http://rubygems.org/downloads/%{name}-%{version}.gem
# Source0-md5:	5987d115aac49343b29240d291164f7a
URL:		http://github.com/alexey-chebotar/ruby-ldap
BuildRequires:	openldap-devel >= 2.4.6
BuildRequires:	openssl-devel
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby >= 1:1.8.6
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ruby/LDAP is an extension module for Ruby. It provides the interface
to some LDAP libraries (for example, OpenLDAP, UMich LDAP, Netscape
SDK and ActiveDirectory). The common API for application development
is described in RFC1823 and most libraries comply with it. Ruby/LDAP
supports those libraries.

%description -l pl.UTF-8
Ruby/LDAP jest modułem rozszerzającym dla języka Ruby. Dostarcza on
interfejs do niektórych bibliotek LDAP (np. OpenLDAP, Netscape SDK i
ActiveDirectory). Wspólne API dla rozwoju aplikacji jest opisane w
RFC1823 i większość bibliotek go przestrzega. Ruby/LDAP wspiera te
biblioteki.

%package rdoc
Summary:	HTML documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{name}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{name}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{name}.

%package ri
Summary:	ri documentation for %{name}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{name}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{name}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{name}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
ruby extconf.rb \
	--vendor \
	--with-openldap2
%{__make}

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir}/%{pkgname},%{ruby_ridir},%{ruby_rdocdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog FAQ NOTES README TODO test
%attr(755,root,root) %{ruby_vendorarchdir}/ldap.so
%{ruby_vendorlibdir}/ldap

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/LDAP
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-ldap.git;a=log;h=master

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> cf84bad
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Thu Dec 19 2013 Elan Ruusamäe <glen@delfi.ee> 0c969f1
- up to 0.9.16, install to vendor dirs

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 3bdc5c0
- improved file flow: %clean just after %install

* Sun Mar 07 2010 Jan Rękorajski <baggins@pld-linux.org> d62426b
- 0.9.10
- new URL
- added rdoc and ri packages

* Sat Nov 03 2007 Jan Rękorajski <baggins@pld-linux.org> 5c9fdf6
- updated openldap BR/R to 2.4.6

* Thu Mar 08 2007 beorn <beorn@pld-linux.org> a50b4e1
- Fixed polish Summary

* Thu Mar 08 2007 beorn <beorn@pld-linux.org> aa03f2b
- Polish translation

* Thu Mar 08 2007 aredridel <aredridel@pld-linux.org> abb8b4b
- added

